import * as plugins from './infohtml.plugins.js';
export interface IHtmlInfoOptions {
    text: string;
    heading?: string;
    title?: string;
    sentryMessage?: string;
    sentryDsn?: string;
    redirectTo?: string;
}
export declare class InfoHtml {
    static fromSimpleText(textArg: string): Promise<InfoHtml>;
    static fromOptions(optionsArg: IHtmlInfoOptions): Promise<InfoHtml>;
    options: IHtmlInfoOptions;
    smartntmlInstance: plugins.smartntml.Smartntml;
    htmlString: string;
    constructor(optionsArg: IHtmlInfoOptions);
    init(): Promise<string>;
}
